<?
require_once('include/global.php');
require_once("include/mail_lib.php");
require_once('include/pager.php');
require_once('include/addr_lib.php');
require_once('include/member_group_lib.php');
require_once('conf.inc.php');


// default
	// simple 2.4 이하 스킨과의 호환
	if (in_array($_GET['type'], array('to', 'cc', 'bcc')))
		$_GET['type'] = '';

	if (!$_GET['type'])
	{
		if ($_GET['share'])
		{
			$_GET['type'] = 'S';		// 공용주소록
		} else
		{
			$_GET['type'] = 'G';		// 조직도
		}	// if()
	}	// if()

	if (!$_GET['share'] && $_GET['type'] == 'S')
		$_GET['share'] = 1;


if ($_GET['type'] == 'G')
{
	if ($G['DINFO']['d_mbrgrp_isuse'] == 'N' || member_group_deny_check())
		$_GET['type'] = 'P';		// 개인 주소록
}	// if()

if ($_GET['type'] == 'S')
{
	if ($G['DINFO']['d_shareaddr_isuse'] == 'N')
		$_GET['type'] = 'P';		// 개인 주소록
}	// if()


// set
	$CFG['TITLE'] = '<b>편지쓰기</b> >> <b>주소넣기</b>';

	// [2006-07-14] 그룹별 주소록 수
		$adg_cnt = get_addr_group_count();


	// [2011-08-25] 회원직위
	$q = "SELECT * FROM ".$TB['MEMBER_CLASS']." WHERE d_no='".$G['DINFO']['d_no']."' ORDER BY mc_sort, mc_name";
	$mbr_class = db_get_rows($q, true);
	if ($mbr_class)
	{
		$select_mbr_class = select_list_value($_GET['s_mc_no'], $mbr_class['mc_name'], $mbr_class['mc_no'], '전체 직위', 0, 1);
	}	// if()


// skin view
	nskinset('webmail', 'addr_select.html', 'window_open');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>